#ifndef ACCELEROMETERCLASS_H
#define ACCELEROMETERCLASS_H
#include <QThread>
#include <QString>
class accelerometerClass : public QThread
{
   Q_OBJECT
public:
    accelerometerClass(QObject *parent = 0);
    void run();

    QString x;
    QString y;
    QString z;

public slots:
    void updateCoords();
    void processCoords(QString &data);

signals:
    void deviceOrientation(QString x, QString y, QString z);

};

#endif // ACCELEROMETERCLASS_H
